#include <stdio.h>
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/icon.h>
static int my_done = 0;

static void quit_proc();
static Notify_value my_notice_destroy();

Frame frame;
Panel panel;
Pixfont *bold;
Icon icon[6];
Server_image images[6];

static short icon_img1[] = {
#include "xjugl.icon"
};
static short icon_img2[] = {
#include "xjugl2.icon"
};
static short icon_img3[] = {
#include "xjugl3.icon"
};
static short icon_img4[] = {
#include "xjugl4.icon"
};
static short icon_img5[] = {
#include "xjugl5.icon"
};


main(argc,argv)
int argc; char **argv;
{
	int flag = 0;
	int delay = 90000;
	Display *dpy;
	xv_init(XV_INIT_ARGC_PTR_ARGV, &argc,argv,NULL);
	if (argc != 1)
		{
		delay = atoi(argv[1]);
		};
	/*
	icon[0] = icon_create(ICON_IMAGE, &jugl1,0);
	*/

	frame = xv_create(XV_NULL,FRAME,
		XV_LABEL, "Xjuggler by Dave Torok",
		FRAME_ARGS, argc, argv,
		WIN_ERROR_MSG, "Can't create window", 0);
	images[0] = (Server_image)xv_create (NULL,SERVER_IMAGE,
		XV_WIDTH,	64, XV_HEIGHT,	64,
		SERVER_IMAGE_BITS,	icon_img1, NULL);
	images[1] = (Server_image)xv_create (NULL,SERVER_IMAGE,
		XV_WIDTH,	64, XV_HEIGHT,	64,
		SERVER_IMAGE_BITS,	icon_img2, NULL);
	images[2] = (Server_image)xv_create (NULL,SERVER_IMAGE,
		XV_WIDTH,	64, XV_HEIGHT,	64,
		SERVER_IMAGE_BITS,	icon_img3, NULL);
	images[3] = (Server_image)xv_create (NULL,SERVER_IMAGE,
		XV_WIDTH,	64, XV_HEIGHT,	64,
		SERVER_IMAGE_BITS,	icon_img4, NULL);
	images[4] = (Server_image)xv_create (NULL,SERVER_IMAGE,
		XV_WIDTH,	64, XV_HEIGHT,	64,
		SERVER_IMAGE_BITS,	icon_img5, NULL);

	icon[0] = (Icon)xv_create(NULL, ICON,
		XV_X,100,XV_Y,100,
		ICON_TRANSPARENT, TRUE,
		ICON_IMAGE,	images[0], NULL);
	icon[1] = (Icon)xv_create(NULL, ICON,
		XV_X,100,XV_Y,100,
		ICON_IMAGE,	images[1], NULL);
	icon[2] = (Icon)xv_create(NULL, ICON,
		XV_X,100,XV_Y,100,
		ICON_IMAGE,	images[2], NULL);
	icon[3] = (Icon)xv_create(NULL, ICON,
		XV_X,100,XV_Y,100,
		ICON_IMAGE,	images[3], NULL);
	icon[4] = (Icon)xv_create(NULL, ICON,
		XV_X,100,XV_Y,100,
		ICON_IMAGE,	images[4], NULL);

	xv_set(frame,FRAME_ICON,icon[0],NULL);

	panel = xv_create(frame,PANEL,NULL);
	xv_create(panel,PANEL_MESSAGE,PANEL_LABEL_STRING,
		"Push button to quit.",0);
	xv_create(panel, PANEL_BUTTON,
		PANEL_LABEL_IMAGE, 
		panel_button_image(panel, "Goodbye",0,0),
		PANEL_NOTIFY_PROC, quit_proc, 0);
	xv_set(frame,XV_SHOW,TRUE,0);

	
	window_fit(panel);
	window_fit(frame);

	dpy = (Display *)xv_get(frame,XV_DISPLAY);
	notify_interpose_destroy_func(frame,my_notice_destroy);
	XFlush(dpy);
	while(!my_done)
	{
	/*xv_set(frame,FRAME_ICON,icon[flag], NULL);*/
	(Icon)xv_set(icon[0], ICON_IMAGE,	images[flag], NULL);
	xv_set (frame, XV_SHOW, TRUE, NULL);
	notify_dispatch();
	XFlush(dpy);
	usleep(delay);
	flag++;
	if (flag > 4) {flag = 0;}
	};
};

static Notify_value
my_notice_destroy(frame, status)
Frame	frame;
Destroy_status status;
{
	if (status != DESTROY_CHECKING)
		{
		my_done = 1;
		notify_stop();
		}
	return(notify_next_destroy_func(frame,status));
};

static void
quit_proc()
{
	xv_set(frame, FRAME_NO_CONFIRM,TRUE,0);
	
#ifdef XVIEW_COMMENT
     XView CONVERSION - If this is being called from within an event/notify
     call-back proc, call func xv_destroy_safe instead
#endif
xv_destroy_safe(frame);
};

